View Issue Details

IDProjectCategoryView StatusLast Update
0001485OpenFOAM[All Projects] Bugpublic2015-01-10 21:59
ReporterwyldckatAssigned Tohenry 
PrioritylowSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiondev 
Fixed in Version 
Summary0001485: Miscellaneous details missing regarding issue #256 and details uncovered in the process of fixing them
DescriptionThe new build system that has been implemented in "-dev", as reported in the last comment at http://www.openfoam.org/mantisbt/view.php?id=256 - is missing one detail (which was in one of the original suggestions/concepts ;) ), as the patch provided in "Steps To Reproduce" below points out.
Without setting up the "-e" option for the shell scripts to stop when an error occurs, the "-k" option when using "Allwmake" and "make" becomes somewhat redundant as stopping early won't mean much.


By setting up this feature, the following detail was uncovered: in the folder "src/fvAgglomerationMethods", the "Allwmake" script is referencing "scotchGamgAgglomeration", which has not yet been committed/pushed. This will lead to a full stop, when "-e" is set-up.
Steps To Reproducediff --git a/wmake/scripts/AllwmakeParseArguments b/wmake/scripts/AllwmakeParseArguments
index 0c8197c..66a8585 100644
--- a/wmake/scripts/AllwmakeParseArguments
+++ b/wmake/scripts/AllwmakeParseArguments
@@ -151,4 +151,11 @@ done
 unset Script usage setWM_NCOMPPROCS
 
 
+#if WM_CONTINUE_ON_ERROR has not been set, then
+# activate the shell option "stop on error"
+if [ -z "${WM_CONTINUE_ON_ERROR}" ]
+then
+ set -e
+fi
+
 # ----------------------------------------------------------------- end-of-file
TagsNo tags attached.

Activities

henry

2015-01-10 21:59

manager   ~0003529

Thanks for the bug-report and fix.
Resolved by commit b0c120b7b5e2d08336aec329e1220c8147cf4c01

Issue History

Date Modified Username Field Change
2015-01-10 21:42 wyldckat New Issue
2015-01-10 21:59 henry Note Added: 0003529
2015-01-10 21:59 henry Status new => resolved
2015-01-10 21:59 henry Resolution open => fixed
2015-01-10 21:59 henry Assigned To => henry